﻿body {
    /*padding-top: 50px;*/
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/*
    Override kendo.ofice365.css for grid selected number;
*/
.k-pager-numbers .k-state-selected {
    margin-top:0 !important;
    padding-top:0 !important;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}


footer {
    position: fixed;
    bottom: 0;
}

.page-wrapper {
    padding: 15px /*bootstrap row has margin -15px, so its make horizontal scroll when padding is less than 15*/;
}

label.required{
    color: mediumblue;
}

.btn {
    cursor: auto !important;
}

span.k-widget.k-datepicker.k-header.form-control,
span.k-widget.k-combobox.k-header.form-control.k-combobox-clearable {
    height: auto;
    border-style: none !important;
}

.k-filtercell>.k-operator-hidden{
    padding-right: 0px;
}

div.updaterror
{
    margin-bottom: 0px;
}

div.paintlevel {
    white-space: nowrap;
}

span.paintlevel {
    border: solid 1px lightblue;
    margin-right: 1px;
    padding-left: 2px;
    padding-right: 2px;
    border-radius: 3px;
    font-size: smaller;
    font-weight: bold;
}

.k-grid-header .k-header{
    text-transform: none;    
}

/*pdf export styles*/
.k-pdf-export .k-grid tr {
    background-color: white;
    border-bottom: solid 1px rgb(204,204,204);
}

.k-pdf-export .k-grid tr.k-filter-row {
    display: none;
}

.k-pdf-export .k-grid .k-grid-pager {
    display: none;
}

.no-permission .bootbox-body {
    color: red;
}

div.paintcalculation{
    margin-left: 50px;
    margin-right: 50px;
}

button.btn > i {
    margin-right: 5px;
}

div.acheader{
    margin-left: 7px;
    margin-bottom: 2px;
    border-bottom: solid 1px darkgray;
}

span.codecolumn {
    display: inline-block;
    width: 6ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.textcolumn {
    display: inline-block;
    /*width: 40ch;*/
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

span.ltypcolumn {
    display: inline-block;
    width: 25ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.ltypyear {
    display: inline-block;
    width: 12ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.ltypdoors {
    display: inline-block;
    width: 6ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.ltypradst {
    display: inline-block;
    width: 12ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.ltyptext {
    display: inline-block;
    width: 15ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.ltypclass {
    display: inline-block;
    width: 15ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.ltypbezeich {
    display: inline-block;
    width: 19ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.mastext {
    display: inline-block;
    /*width: 50ch;*/
    width: 65ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.area {
    display: inline-block;
    width: 10ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.zone {
    display: inline-block;
    width: 10ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.anmerk {
    display: inline-block;
    width: 30ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}

span.pl {
    display: inline-block;
    width: 25ch;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: 3px;
}



.k-fieldselector .k-list .k-item, .k-popup .k-list .k-item {
    min-height: 1.25em;
    line-height: 1.25em;
}

.inline-edit {
    width: 60px;
    border: 1px solid transparent;
    background-color: transparent;
}

.inline-edit:hover {
    border-color: darkgray;
    background-color: white;
}

.width100{
    width: 100%;
}

.focused {
    outline: -webkit-focus-ring-color auto 5px;
}


.k-filtercell .k-numeric-wrap{
    padding-right: 18px;
}

.k-filtercell .k-numeric-wrap .k-select{
    width: 18px;
}

.k-filter-row th{
    padding-left: 3px;
    padding-right: 3px;
}

/* pricelist map styles */
.info {
    padding: 6px 8px;
    font: 14px/16px Arial, Helvetica, sans-serif;
    background: white;
    background: rgba(255,255,255,0.8);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 5px;
}

    .info h4 {
        font-size: 14px;
    }

    .info hr {
        margin: 1px;
        border-color: black;
    }

    .info table {
        font-size: 12px;
        border-spacing: 0px;
        border-collapse: separate;
    }

        .info table td {
            padding: 2px;
        }

#dnd {
    width: 100px;
    border: darkgray 2px dashed;
    height: 100%;
    line-height: 2em;
    text-align: center;
    border-radius: 5px;
    background-color: white;
    font-weight: bold;
}

div.imgtooltip {
    z-index: 999;
    display: none;
    position: absolute;
    top: 0px;
    left: 0px;
    border: solid 1px darkgray;
    border-radius: 5px;
    box-shadow: 5px 5px 5px lightblue;
}


div.overview {
    display: grid;
    gap: 4px;
    row-gap: 4px;
    grid-template-columns: 25% 50% 25%;
}

    div.overview div.vehicleimg {
        margin: 4px;
        padding: 4px;
        border: solid 2px rgb(240, 240, 240);
        border-radius: 5px;
        height: 275px;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
    }

table.dim_1 td, table.dim_2 td, table.dim_3 td, table.dim_4 td {
    white-space: nowrap;
    padding: 1px;
}